#pragma pack(packed)
 
#ifndef __iazjsab__
#define __iazjsab__
 
struct iazjsab {
    unsigned char  jsabid[4];    ///< JSAB ID                              
    void          *jsabnext;     ///< JSAB CHAIN FIELD                     
    int            jsablen;      ///< Length of control block     @410D001 
    unsigned char  jsabvers;     ///< CONTROL BLOCK VERSION                
    unsigned char  jsabflg1;     ///< JSAB FLAG 1                 @410D001 
    unsigned char  jsabflg2;     ///< JSAB FLAG 2                 @410D001 
    struct {
        unsigned char  _jsabclev; ///< CREATING COMPONENT'S CODE LEVEL 
        } jsabclr;
    unsigned char  jsabscid[4];  ///< SCHEDULING COMPONENT'S ID            
    struct {
        unsigned char  _jsabjbid[8]; ///< JOB ID 
        } jsabwkid;
    unsigned char  jsabjbnm[8];  ///< JOB NAME                             
    unsigned char  jsabpref[8];  ///< PREFIX USED IN MESSAGES              
    unsigned char  jsabusid[8];  ///< USERID                               
    unsigned char  jsabssnm[4];  ///< Creating Subsystem name     @MG05383 
    unsigned char  jsabresc[16]; ///< Reserved for future use     @MG05383 
    double         jsabestk;     ///< PROGRAM ENTRY START TIME             
    double         jsabxstk;     ///< PROGRAM EXECUTION START TIME         
    void          *jsabuser;     ///< USER AREA POINTER                    
    unsigned char  jsabgpnm[8];  ///< XCF group name              @520LSDS 
    unsigned char  jsabjsta[8];  ///< JES Status                  @OW17398 
    int            jsabresv[5];  ///< Reserved for future use     @OW17398 
    double         jsabend;      ///< CAUSE DOUBLE WORD BOUNDARY           
    };
 
#define jsabclev jsabclr._jsabclev
#define jsabjbid jsabwkid._jsabjbid
 
/* Values for field "jsabvers" */
#define jsabvrsn 1    ///< CURRENT CONTROL BLOCK VERSION        
 
/* Values for field "jsabflg1" */
#define jsabnval 0x80 ///< This JSAB is not valid      @410D001 
#define jsabstsk 0x40 ///< Subtask level JSAB          @R05LOPI 
 
/* Values for field "jsabend" */
#define jsabsize 0x80 ///< LENGTH OF JSAB                       
#define jsabblsz 0x38 ///< LENGTH OF CHARACTER AREA             
#define jsabclrl 0x71 ///< Length of re-use clear area @410D001 
#define jsabok   0    ///< JSAB PROCESSING OK                   
#define jsabnost 4    ///< JSAB STORAGE NOT OBTAINED/RELEASED   
#define jsabnfnd 8    ///< JSAB NOT FOUND RETURN CODE           
 
#endif
 
#pragma pack(reset)
